Skip to main content
GET
Get subreddit posts (live)

Authorizations

Authorization
string
header
required

XPOZ API access key, created from the dashboard or POST /api/tokens. Send as Authorization: Bearer <access key>.

Path Parameters

name
string
required

Subreddit name (without r/).

Query Parameters

sort
enum<string>

Listing order. Defaults to new.

Available options:
hot,
new,
top,
rising,
controversial
time
enum<string>

Time window for sort=top or sort=controversial. Defaults to all.

Available options:
hour,
day,
week,
month,
year,
all
fields
enum<string>[]

Reddit post fields to return. Comma-separated. Allowed values: id, title, selftext, url, permalink, postUrl, thumbnail, authorId, authorUsername, subredditName, subredditId, score, upvotes, downvotes, upvoteRatio, commentsCount, crosspostsCount, isSelf, isVideo, isOriginalContent, over18, spoiler, locked, stickied, archived, linkFlairText, postHint, domain, crosspostParent, createdAt, createdAtTimestamp, createdAtDate, selftextHtml, editedAt, removal.

Available options:
id,
title,
selftext,
url,
permalink,
postUrl,
thumbnail,
authorId,
authorUsername,
subredditName,
subredditId,
score,
upvotes,
downvotes,
upvoteRatio,
commentsCount,
crosspostsCount,
isSelf,
isVideo,
isOriginalContent,
over18,
spoiler,
locked,
stickied,
archived,
linkFlairText,
postHint,
domain,
crosspostParent,
createdAt,
createdAtTimestamp,
createdAtDate,
selftextHtml,
editedAt,
removal
limit
integer
default:100

Items per page (1-100). Defaults to 100. Ignored by post search when since/until are set (10 per page).

Required range: 1 <= x <= 100
cursor
string

Opaque cursor from next_page_cursor of the previous page.

Response

One page of results.

Envelope for on-demand /live endpoints: one provider page plus a cursor.

results
object[]
required
count
integer
required
dataSource
enum<string>
required

Where the results came from.

Available options:
database,
api,
hybrid
has_more
boolean
required
next_page_cursor
string | null
required